> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siliconflow.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取batch任务列表

> List your organization's batches.



## OpenAPI

````yaml get /batches
openapi: 3.0.0
info:
  title: SiliconFlow API
  description: The SiliconFlow REST API
  version: 1.0.0
  contact:
    name: SiliconFlow Support
    url: https://www.siliconflow.cn/
  license:
    name: MIT
    url: https://github.com/siliconflow/siliconcloud/blob/main/LICENSE
servers:
  - url: https://api.siliconflow.cn/v1
security:
  - bearerAuth: []
paths:
  /batches:
    get:
      summary: List your organization's batches.
      description: List your organization's batches.
      operationId: getBatchEvaluationJob
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
          description: A limit on the number of objects to be returned.
        - name: after
          in: query
          required: false
          schema:
            type: string
          description: >-
            A cursor for use in pagination. after is an object ID that defines
            your place in the list. For instance, if you make a list request and
            receive 100 objects, ending with obj_foo, your subsequent call can
            include after=obj_foo in order to fetch the next page of the list.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    example: list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: batch_id
                        object:
                          type: string
                          example: batch
                        endpoint:
                          type: string
                          example: /v1/chat/completions
                        errors:
                          type: array
                          nullable: true
                          items:
                            type: string
                          example: null
                        input_file_id:
                          type: string
                          example: file-id
                        completion_window:
                          type: string
                          example: 24h
                        status:
                          type: string
                          example: in_queue
                        output_file_id:
                          type: string
                          example: null
                          nullable: true
                        error_file_id:
                          type: string
                          example: null
                          nullable: true
                        created_at:
                          type: integer
                          example: 1749023566
                        in_progress_at:
                          type: integer
                          nullable: true
                          example: null
                        expires_at:
                          type: integer
                          example: 1749109966
                        finalizing_at:
                          type: integer
                          nullable: true
                          example: null
                        completed_at:
                          type: integer
                          nullable: true
                          example: null
                        failed_at:
                          type: integer
                          nullable: true
                          example: null
                        expired_at:
                          type: integer
                          nullable: true
                          example: null
                        cancelling_at:
                          type: integer
                          nullable: true
                          example: null
                        cancelled_at:
                          type: integer
                          nullable: true
                          example: null
                        request_counts:
                          type: object
                          nullable: true
                          example: null
                        metadata:
                          type: object
                          properties:
                            batch_description:
                              type: string
                              example: ''
                            name:
                              type: string
                              example: batch
                        file_name:
                          type: string
                          example: requests_name.json
                  first_id:
                    type: string
                    example: first_batch_id
                  last_id:
                    type: string
                    example: last_batch_id
                  has_more:
                    type: boolean
                    example: false
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/Overloaded'
        '504':
          $ref: '#/components/responses/Timeout'
      deprecated: false
components:
  responses:
    BadRequest:
      description: BadRequest
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRquestData'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedData'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenData'
    NotFound:
      description: NotFound
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundData'
    Overloaded:
      description: Overloaded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OverloadedtData'
    Timeout:
      description: Timeout
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TimeoutData'
  schemas:
    BadRquestData:
      type: object
      required:
        - message
        - data
        - code
      properties:
        code:
          type: integer
          nullable: true
          default: false
          example: 20012
        message:
          type: string
          nullable: false
        data:
          type: string
          nullable: false
    UnauthorizedData:
      type: string
      default: false
      example: Invalid token
    ForbiddenData:
      type: string
      default: false
      example: Forbidden
    NotFoundData:
      type: string
      default: false
      example: 404 page not found
    OverloadedtData:
      type: object
      required:
        - code
        - message
        - data
      properties:
        code:
          type: integer
          example: 50505
        message:
          type: string
          example: Model service overloaded. Please try again later.
        data:
          type: string
          nullable: false
    TimeoutData:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: your api key
      description: >-
        Use the following format for authentication: Bearer [<your api
        key>](https://cloud.siliconflow.cn/account/ak)

````